export class TimeTrackingFaceAssignmentForCreation {
    constructor(props: TimeTrackingFaceAssignmentForCreation) {
        Object.assign(this, props);
    }

    instanceId!: number;
    userId!: number;
    regionId!: number;
    siteId!: number;
    faceId!: string;
    source!: string;
    referenceImage!: string;
}

export class TimeTrackingFaceAssignment extends TimeTrackingFaceAssignmentForCreation {
    constructor(props: TimeTrackingFaceAssignment) {
        super(props);
        Object.assign(this, props);
    }

    id!: number;
}
